TRUNCATE_INODE_PAGES(9)

NAME
truncate_inode_pages_final - truncate *all* pages before inode dies

SYNOPSIS

void truncate_inode_pages_final(struct address_space * mapping);

ARGUMENTS

mapping
    mapping to truncate

DESCRIPTION

Called under (and serialized by) inode->i_mutex.

Filesystems have to use this in the .evict_inode path to inform the VM that this is the final truncate and the inode is going away.

COPYRIGHT